%define anolis_release 3

%global cpan_version 1.21

Name:           perl-Parse-Yapp
# Keep 2-digit version for history
Version:        %{cpan_version}
Release:        %{anolis_release}%{?dist}
Summary:        Perl extension for generating and using LALR parsers
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Parse-Yapp/
Source0:        http://www.cpan.org/authors/id/W/WB/WBRASWELL/Parse-Yapp-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules that
let you generate and use yacc like thread safe (reentrant) parsers with perl
object oriented interface.  The script yapp is a front-end to the Parse::Yapp
module and let you easily create a Perl OO parser from an input grammar file.

%package doc
Summary:   Documents for %{name}
Requires:  %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%setup -q -n Parse-Yapp-%{cpan_version}
chmod 644 README lib/Parse/{*.pm,Yapp/*.pm}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%{_bindir}/yapp
%{perl_vendorlib}/Parse/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%files doc
%doc Changes README

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 1.21-3
- Import package for anolis 23
